Book outcome
curl --request POST \
--url https://api.sortx.co.uk/front-desk/outcomes/{id}/book \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startsAt": "<string>",
"durationMinutes": 123,
"propertyRef": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startsAt: '<string>', durationMinutes: 123, propertyRef: '<string>'})
};
fetch('https://api.sortx.co.uk/front-desk/outcomes/{id}/book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/outcomes/{id}/book"
payload = {
"startsAt": "<string>",
"durationMinutes": 123,
"propertyRef": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"enquiryId": "<string>",
"kind": "<string>",
"state": "<string>",
"payload": {},
"contactId": "<string>",
"propertyId": "<string>",
"summary": "<string>",
"acknowledgedByUserId": "<string>",
"acknowledgedAt": "<string>",
"note": "<string>",
"linkedKind": "<string>",
"linkedId": "<string>",
"createdAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}front-desk
Book outcome
Book an appointment for a viewing/valuation/callback request
POST
/
front-desk
/
outcomes
/
{id}
/
book
Book outcome
curl --request POST \
--url https://api.sortx.co.uk/front-desk/outcomes/{id}/book \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"startsAt": "<string>",
"durationMinutes": 123,
"propertyRef": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({startsAt: '<string>', durationMinutes: 123, propertyRef: '<string>'})
};
fetch('https://api.sortx.co.uk/front-desk/outcomes/{id}/book', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/front-desk/outcomes/{id}/book"
payload = {
"startsAt": "<string>",
"durationMinutes": 123,
"propertyRef": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"enquiryId": "<string>",
"kind": "<string>",
"state": "<string>",
"payload": {},
"contactId": "<string>",
"propertyId": "<string>",
"summary": "<string>",
"acknowledgedByUserId": "<string>",
"acknowledgedAt": "<string>",
"note": "<string>",
"linkedKind": "<string>",
"linkedId": "<string>",
"createdAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success